export const beforeNow = (date: Date) => {
  const now = new Date()
  // 1分钟内发布的，展示刚刚；
  if (now.getTime() - date.getTime() < 60 * 1000) return '刚刚'
  // 大于1分钟小于1小时内发布的，展示x分钟前；
  if (now.getTime() - date.getTime() < 60 * 60 * 1000)
    return `${Math.floor((now.getTime() - date.getTime()) / 60 / 1000)}分钟前`
  // 大于1小时小于1天内发布的，展示x小时前；
  if (now.getTime() - date.getTime() < 24 * 60 * 60 * 1000)
    return `${Math.floor((now.getTime() - date.getTime()) / 60 / 60 / 1000)}小时前`
  // 大于1天且本年内发布的，显示mm-dd hh:mm；
  if (now.getFullYear() === date.getFullYear())
    return `${date.getMonth() + 1}-${date.getDate()} ${date.getHours()}:${date.getMinutes()<10?'0'+date.getMinutes():date.getMinutes()}`
  // 不是本年内发布的，显示yyyy-mm-dd hh:mm；
  return `${date.getFullYear()}-${date.getMonth() + 1}-${date.getDate()} ${date.getHours()}:${date.getMinutes()<10?'0'+date.getMinutes():date.getMinutes()}`
}

export const secondToMinute = (seconds: any) => {
  const hours = Math.floor(seconds / 3600)
  seconds %= 3600
  const minutes = Math.floor(seconds / 60)
  seconds %= 60

  let date = ''
  if (hours > 0) {
    date += `${hours}小时`
  }
  if (minutes > 0) {
    date += `${minutes}分钟`
  }
  if (seconds >= 0) {
    date += `${seconds}秒`
  }

  return date
}
